{
    config,
    lib,
    pkgs,
    ...
}:
{
    # this actually does not enable xorg, but it is required for GDM
    services.xserver.enable = true;
    services.xserver.displayManager.gdm.enable = true;
    services.xserver.desktopManager.gnome.enable = true;
    # here we set wayland to be used
    services.xserver.displayManager.gdm.wayland = true;


    ## Slim down the gnome dependencies
    environment.gnome.excludePackages = (with pkgs; [
        gnome-photos
        gnome-tour
        gnome.geary
        gedit
        gnome.tali
        gnome.gnome-music
        gnome.cheese
        epiphany
        gnome.gnome-calendar
        gnome.gnome-maps
        gnome.simple-scan
        gnome.yelp
        gnome.gnome-disk-utility
        xterm
        gnome.gnome-notes
        gnome.gnome-weather
        gnome-secrets
        gnome.gnome-characters
        gnome.gnome-font-viewer
    ]);

}
